import { Observable } from 'rxjs';
import { ConfigService, PermissionsService, User } from "@ema/core";
import { BaseService } from "@ema/core";
import { StateService } from '@ema/rx';
export declare class AppService {
    state$: Observable<object>;
    globalState$: Observable<object>;
    uaas$: Observable<object>;
    stateService: StateService;
    state: any;
    translation: any;
    user: User;
    base: BaseService;
    baseUrl: string;
    appRoot: any;
    config: ConfigService;
    permissions: PermissionsService;
    loading: boolean;
    collectionManifest: any;
    components: any[];
    data: any;
    authenticated: boolean;
    initialized: any;
    errorMessage: string;
    constructor(enforcer: any);
    init(): Promise<void>;
    initStores(): Promise<void>;
    initSketchListeners(): void;
    test(): void;
    initHistory(): void;
    parseComponents(): void;
    showFlashMessage(message: string, type: string, duration?: number): void;
    static readonly instance: any;
}
